@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Ubuntu", sans-serif;
}

body {
	background: hsl(75 60% 37% / 1);
}
.noClick {
   pointer-events: none;
}
.loginPage {
	width: fit-content;
    height: fit-content;
   	border: 1px solid white;
   	padding: 30px;
	justify-content: center;
	align-items: center;
	margin-left: auto;
	margin-right: auto;
	margin-top: 28vh;
}
/**/
.area{
	width: 100vw;
}

.calendar-container, .summary-container {
	padding: 5px;
}
.container-title{
	padding-left: 5px;
	color: white;
	display: flex;
	font-weight: bold;
	padding-bottom: 5px;
}
#calendar-area, #summary-area{
	display: grid;
}
#calendar-area{
	gap: 15px;
}
.box{
	width: 100%;
	padding: 10px;
	background-color: #FFF;
	border-radius: 10px;
	box-shadow: 0 0 10px rgba(0,0,0,0.3);
}

.summary-notes{
    border: black 1px solid;
    height: 16px;
    padding-top: 10px;
    padding-left: 8px;
    border-radius: 10px;
    padding-bottom: 10px;
}

/*CALENDAR*/
.header{
	display: grid;
	grid-template-columns: 1fr 5fr 1fr;
}
.wk-days, .dates{
	display: grid;
	grid-template-columns: repeat(7, 1fr);
	text-align: center;
	padding: 5px;
	gap: 5px;
}
.date {
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	padding: 5px;
	margin: auto;
	cursor: pointer;
	font-weight: 600;
	border-radius: 50%;
	width: 40px;
	height: 40px;
	transition: 0.2s;
}

.date.inactive {
	color: lightgray;
	pointer-events: none;
}

.date.active{
	background: #5e9f1280;
	color: white;
}
.date.booked{
	border: green 2px solid;
}
.prv-bt, .nxt-bt{
	background-color: white;
	height: 40px;
	width: 40px;
	border-radius: 50%;
	border: none;
	box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
}
.month-year{
	text-align: center;
	padding: 10px;
}

/*MONTHLY REPORT*/
.report-button{
	float: right;
	padding: 10px;
}
#report{
	margin-bottom:-75vh; 
	width: 75vw; 
	height: 75vh; 
	float: right;
	display: none;
	background-color: white;
	border-radius: 10px;
	padding: 15px;
	border: 2px solid gray;
	overflow: auto;
}
.report-grid{
	--gap: 2em;
   	--line-offset: calc(var(--gap) / 2);
   	--line-thickness: 2px;
   	--line-color: gray;
	
	display: grid;
	grid-template-columns: 1fr 4fr;
	text-align: left;
	padding: 5px;
	overflow: hidden;
	gap: var(--gap);

}
.report-grid-item{
	position: relative;
}
.report-grid-item::before, 
.report-grid-item::after {
   	content: '';
   	position: absolute;
   	background-color: var(--line-color);
   	z-index: 1;
}
.report-grid-item::after {
  	inline-size: 100vw;
  	block-size: var(--line-thickness);
  	inset-inline-start: 0;
  	inset-block-start: calc(var(--line-offset) * -1);
}
.report-grid-item::before {
  	inline-size: var(--line-thickness);
  	block-size: 100vh;
  	inset-inline-start: 0;
  	inset-inline-start: calc(var(--line-offset) * -1);
}
#report-area{
	position: sticky;
	top: 0;
}

/*MODAL*/
.modal_container {
	background-color: rgba(0, 0, 0, 0.3);
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	opacity: 0;
	pointer-events: none;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: 2;
}

.modal_container.show {
	opacity: 1;
	pointer-events: auto;
}

.modal {
	background-color: #fff;
	border-radius: 5px;
	padding: 10% 7%;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
	width: 600px;
	max-width: 100%;
}

.notes{
	height: 8em;
	width: 100%;
}

.modal h1 {
	margin: 0;
}
#lastUpdated {
	font-size: 0.85em;
	color: #777;
	margin-top: 8px;
	font-style: italic;
}

/*NOTIFICATION BOX*/
#notification-box {
  padding: 20px;
  background-color: green;
  color: white;
  margin-bottom: 15px;
  display: none;
}
.closebtn {
  margin-left: 15px;
  color: black;
  font-weight: bold;
  float: right;
  font-size: 22px;
  line-height: 20px;
  cursor: pointer;
  transition: 0.2s;
}
.closebtn:hover {
  color: silver;
}

@media only screen and (min-width: 770px) {
	.summary-container{
		width: 750px;
		margin: 0 auto;
		padding: 5px;
	}
	.calendar-container {
		width: 350px;
		margin: 0 auto;
		padding: 5px;
	}
	#calendar-area{
		grid-template-columns: 350px 350px;
		width: 715px;
		margin: 0 auto;
	}
	#summary-area{
		width: 770px;
		margin: 0 auto;
	}
	#notification-area{
		padding: 5px;
		margin: auto;
	}
	.notes{
		width: 35em;
	}
	
	.modal {
		padding: 50px 50px;
	}
	#report-area{
		position: absolute;
	}
	#report{
		margin-bottom:-100vh; 
		width: 60vw; 
		height: 100vh; 
	}

@media only screen and (min-width: 1370px){
	#report{
		margin-bottom:-70vh; 
		width: 27vw; 
		height: 70vh; 
	}

}